## org.apache.lucene.queryParser.standard.config
Class FuzzyAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.queryParser.standard.config.FuzzyAttributeImpl

All Implemented Interfaces:
  Serializable, Cloneable, ConfigAttribute, FuzzyAttribute, org.apache.lucene.util.Attribute

Deprecated.

    @Deprecated
    public class FuzzyAttributeImpl

extends org.apache.lucene.util.AttributeImpl
implements FuzzyAttribute, ConfigAttribute

This attribute is used by `PhraseSlopQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor what is the default phrase slop when no slop is defined in a phrase.

See Also:
  `FuzzyAttribute`, Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.util.AttributeImpl
`enableBackwards`

Constructor Summary
`FuzzyAttributeImpl()` Deprecated.

Method Summary
`void` `clear()` Deprecated.
`void` `copyTo(org.apache.lucene.util.AttributeImpl target)` Deprecated.
`boolean` `equals(Object other)` Deprecated.
`float` `getFuzzyMinSimilarity()` Deprecated.
`int` `getPrefixLength()` Deprecated.
`int` `hashCode()` Deprecated.
`void` `setFuzzyMinSimilarity(float minSimilarity)` Deprecated.
`void` `setPrefixLength(int prefixLength)` Deprecated.
`void` `setQueryConfigHandler(AbstractQueryConfig config)` Deprecated.
`String` `toString()` Deprecated.

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone, reflectAsString, reflectWith`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FuzzyAttributeImpl

    public FuzzyAttributeImpl()

  Deprecated.

Method Detail

### setPrefixLength

    public void setPrefixLength(int prefixLength)

  Deprecated.
  Specified by:
    `setPrefixLength` in interface `FuzzyAttribute`

### getPrefixLength

    public int getPrefixLength()

  Deprecated.
  Specified by:
    `getPrefixLength` in interface `FuzzyAttribute`

### setFuzzyMinSimilarity

    public void setFuzzyMinSimilarity(float minSimilarity)

  Deprecated.
  Specified by:
    `setFuzzyMinSimilarity` in interface `FuzzyAttribute`

### getFuzzyMinSimilarity

    public float getFuzzyMinSimilarity()

  Deprecated.
  Specified by:
    `getFuzzyMinSimilarity` in interface `FuzzyAttribute`

### clear

    public void clear()

  Deprecated.
  Specified by:
    `clear` in class `org.apache.lucene.util.AttributeImpl`

### copyTo

    public void copyTo(org.apache.lucene.util.AttributeImpl target)

  Deprecated.
  Specified by:
    `copyTo` in class `org.apache.lucene.util.AttributeImpl`

### equals

    public boolean equals(Object other)

  Deprecated.
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `org.apache.lucene.util.AttributeImpl`

### setQueryConfigHandler

    public void setQueryConfigHandler(AbstractQueryConfig config)

  Deprecated.
  Specified by:
    `setQueryConfigHandler` in interface `ConfigAttribute`